//
// Gesture device definitions
//

// Constants

#define	ZX_ADDR		0x20

#define	ZX_REG_STATUS	0x00
#define ZX_REG_GESTURE	0x04
#define ZX_REG_XPOS	0x08
#define ZX_REG_ZPOS	0x0A
#define	ZX_REG_MODEL	0xff

#define ZX_BIT_POSITION	0x01
#define ZX_BIT_GESTURE	0x1c

#define ZX_GEST_RIGHT	0x01
#define ZX_GEST_LEFT	0x02
#define ZX_GEST_UP	0x03

// Prototypes

int zx_getreg(int reg);
int zx_get_model(void);
unsigned char zx_position_ready(void);
unsigned char zx_gesture_ready(void);
void zx_get_positions(int *x,int *z);
int zx_get_gesture(void);
